ShlObj
Date: 2010-04-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class ShlObj

    java.lang.Object
      com.sun.jna.platform.win32.ShlObj

    public abstract class ShlObj

extends java.lang.Object

Ported from ShlObj.h. Microsoft Windows SDK 6.0A.

Field Summary
`static int` | `CSIDL_ADMINTOOLS`
`static int` | `CSIDL_ALTSTARTUP`
`static int` | `CSIDL_APPDATA`
`static int` | `CSIDL_BITBUCKET`
`static int` | `CSIDL_CDBURN_AREA`
`static int` | `CSIDL_COMMON_ADMINTOOLS`
`static int` | `CSIDL_COMMON_ALTSTARTUP`
`static int` | `CSIDL_COMMON_APPDATA`
`static int` | `CSIDL_COMMON_DESKTOPDIRECTORY`
`static int` | `CSIDL_COMMON_DOCUMENTS`
`static int` | `CSIDL_COMMON_FAVORITES`
`static int` | `CSIDL_COMMON_MUSIC`
`static int` | `CSIDL_COMMON_OEM_LINKS`
`static int` | `CSIDL_COMMON_PICTURES`
`static int` | `CSIDL_COMMON_PROGRAMS`
`static int` | `CSIDL_COMMON_STARTMENU`
`static int` | `CSIDL_COMMON_STARTUP`
`static int` | `CSIDL_COMMON_TEMPLATES`
`static int` | `CSIDL_COMMON_VIDEO`
`static int` | `CSIDL_COMPUTERSNEARME`
`static int` | `CSIDL_CONNECTIONS`
`static int` | `CSIDL_CONTROLS`
`static int` | `CSIDL_COOKIES`
`static int` | `CSIDL_DESKTOP`
`static int` | `CSIDL_DESKTOPDIRECTORY`
`static int` | `CSIDL_DRIVES`
`static int` | `CSIDL_FAVORITES`
`static int` | `CSIDL_FONTS`
`static int` | `CSIDL_HISTORY`
`static int` | `CSIDL_INTERNET`
`static int` | `CSIDL_INTERNET_CACHE`
`static int` | `CSIDL_LOCAL_APPDATA`
`static int` | `CSIDL_MYDOCUMENTS`
`static int` | `CSIDL_MYMUSIC`
`static int` | `CSIDL_MYPICTURES`
`static int` | `CSIDL_MYVIDEO`
`static int` | `CSIDL_NETHOOD`
`static int` | `CSIDL_NETWORK`
`static int` | `CSIDL_PERSONAL`
`static int` | `CSIDL_PRINTERS`
`static int` | `CSIDL_PRINTHOOD`
`static int` | `CSIDL_PROFILE`
`static int` | `CSIDL_PROGRAM_FILES`
`static int` | `CSIDL_PROGRAM_FILES_COMMON`
`static int` | `CSIDL_PROGRAM_FILES_COMMONX86`
`static int` | `CSIDL_PROGRAM_FILESX86`
`static int` | `CSIDL_PROGRAMS`
`static int` | `CSIDL_RECENT`
`static int` | `CSIDL_RESOURCES`
`static int` | `CSIDL_RESOURCES_LOCALIZED`
`static int` | `CSIDL_SENDTO`
`static int` | `CSIDL_STARTMENU`
`static int` | `CSIDL_STARTUP`
`static int` | `CSIDL_SYSTEM`
`static int` | `CSIDL_SYSTEMX86`
`static int` | `CSIDL_TEMPLATES`
`static int` | `CSIDL_WINDOWS`
`static W32API.DWORD` | `SHGFP_TYPE_CURRENT`
`static W32API.DWORD` | `SHGFP_TYPE_DEFAULT`

Constructor Summary
`ShlObj()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHGFP_TYPE_CURRENT

    public static final W32API.DWORD SHGFP_TYPE_CURRENT

### SHGFP_TYPE_DEFAULT

    public static final W32API.DWORD SHGFP_TYPE_DEFAULT

### CSIDL_DESKTOP

    public static final int CSIDL_DESKTOP

See Also:
  Constant Field Values

### CSIDL_INTERNET

    public static final int CSIDL_INTERNET

See Also:
  Constant Field Values

### CSIDL_PROGRAMS

    public static final int CSIDL_PROGRAMS

See Also:
  Constant Field Values

### CSIDL_CONTROLS

    public static final int CSIDL_CONTROLS

See Also:
  Constant Field Values

### CSIDL_PRINTERS

    public static final int CSIDL_PRINTERS

See Also:
  Constant Field Values

### CSIDL_PERSONAL

    public static final int CSIDL_PERSONAL

See Also:
  Constant Field Values

### CSIDL_FAVORITES

    public static final int CSIDL_FAVORITES

See Also:
  Constant Field Values

### CSIDL_STARTUP

    public static final int CSIDL_STARTUP

See Also:
  Constant Field Values

### CSIDL_RECENT

    public static final int CSIDL_RECENT

See Also:
  Constant Field Values

### CSIDL_SENDTO

    public static final int CSIDL_SENDTO

See Also:
  Constant Field Values

### CSIDL_BITBUCKET

    public static final int CSIDL_BITBUCKET

See Also:
  Constant Field Values

### CSIDL_STARTMENU

    public static final int CSIDL_STARTMENU

See Also:
  Constant Field Values

### CSIDL_MYDOCUMENTS

    public static final int CSIDL_MYDOCUMENTS

See Also:
  Constant Field Values

### CSIDL_MYMUSIC

    public static final int CSIDL_MYMUSIC

See Also:
  Constant Field Values

### CSIDL_MYVIDEO

    public static final int CSIDL_MYVIDEO

See Also:
  Constant Field Values

### CSIDL_DESKTOPDIRECTORY

    public static final int CSIDL_DESKTOPDIRECTORY

See Also:
  Constant Field Values

### CSIDL_DRIVES

    public static final int CSIDL_DRIVES

See Also:
  Constant Field Values

### CSIDL_NETWORK

    public static final int CSIDL_NETWORK

See Also:
  Constant Field Values

### CSIDL_NETHOOD

    public static final int CSIDL_NETHOOD

See Also:
  Constant Field Values

### CSIDL_FONTS

    public static final int CSIDL_FONTS

See Also:
  Constant Field Values

### CSIDL_TEMPLATES

    public static final int CSIDL_TEMPLATES

See Also:
  Constant Field Values

### CSIDL_COMMON_STARTMENU

    public static final int CSIDL_COMMON_STARTMENU

See Also:
  Constant Field Values

### CSIDL_COMMON_PROGRAMS

    public static final int CSIDL_COMMON_PROGRAMS

See Also:
  Constant Field Values

### CSIDL_COMMON_STARTUP

    public static final int CSIDL_COMMON_STARTUP

See Also:
  Constant Field Values

### CSIDL_COMMON_DESKTOPDIRECTORY

    public static final int CSIDL_COMMON_DESKTOPDIRECTORY

See Also:
  Constant Field Values

### CSIDL_APPDATA

    public static final int CSIDL_APPDATA

See Also:
  Constant Field Values

### CSIDL_PRINTHOOD

    public static final int CSIDL_PRINTHOOD

See Also:
  Constant Field Values

### CSIDL_LOCAL_APPDATA

    public static final int CSIDL_LOCAL_APPDATA

See Also:
  Constant Field Values

### CSIDL_ALTSTARTUP

    public static final int CSIDL_ALTSTARTUP

See Also:
  Constant Field Values

### CSIDL_COMMON_ALTSTARTUP

    public static final int CSIDL_COMMON_ALTSTARTUP

See Also:
  Constant Field Values

### CSIDL_COMMON_FAVORITES

    public static final int CSIDL_COMMON_FAVORITES

See Also:
  Constant Field Values

### CSIDL_INTERNET_CACHE

    public static final int CSIDL_INTERNET_CACHE

See Also:
  Constant Field Values

### CSIDL_COOKIES

    public static final int CSIDL_COOKIES

See Also:
  Constant Field Values

### CSIDL_HISTORY

    public static final int CSIDL_HISTORY

See Also:
  Constant Field Values

### CSIDL_COMMON_APPDATA

    public static final int CSIDL_COMMON_APPDATA

See Also:
  Constant Field Values

### CSIDL_WINDOWS

    public static final int CSIDL_WINDOWS

See Also:
  Constant Field Values

### CSIDL_SYSTEM

    public static final int CSIDL_SYSTEM

See Also:
  Constant Field Values

### CSIDL_PROGRAM_FILES

    public static final int CSIDL_PROGRAM_FILES

See Also:
  Constant Field Values

### CSIDL_MYPICTURES

    public static final int CSIDL_MYPICTURES

See Also:
  Constant Field Values

### CSIDL_PROFILE

    public static final int CSIDL_PROFILE

See Also:
  Constant Field Values

### CSIDL_SYSTEMX86

    public static final int CSIDL_SYSTEMX86

See Also:
  Constant Field Values

### CSIDL_PROGRAM_FILESX86

    public static final int CSIDL_PROGRAM_FILESX86

See Also:
  Constant Field Values

### CSIDL_PROGRAM_FILES_COMMON

    public static final int CSIDL_PROGRAM_FILES_COMMON

See Also:
  Constant Field Values

### CSIDL_PROGRAM_FILES_COMMONX86

    public static final int CSIDL_PROGRAM_FILES_COMMONX86

See Also:
  Constant Field Values

### CSIDL_COMMON_TEMPLATES

    public static final int CSIDL_COMMON_TEMPLATES

See Also:
  Constant Field Values

### CSIDL_COMMON_DOCUMENTS

    public static final int CSIDL_COMMON_DOCUMENTS

See Also:
  Constant Field Values

### CSIDL_COMMON_ADMINTOOLS

    public static final int CSIDL_COMMON_ADMINTOOLS

See Also:
  Constant Field Values

### CSIDL_ADMINTOOLS

    public static final int CSIDL_ADMINTOOLS

See Also:
  Constant Field Values

### CSIDL_CONNECTIONS

    public static final int CSIDL_CONNECTIONS

See Also:
  Constant Field Values

### CSIDL_COMMON_MUSIC

    public static final int CSIDL_COMMON_MUSIC

See Also:
  Constant Field Values

### CSIDL_COMMON_PICTURES

    public static final int CSIDL_COMMON_PICTURES

See Also:
  Constant Field Values

### CSIDL_COMMON_VIDEO

    public static final int CSIDL_COMMON_VIDEO

See Also:
  Constant Field Values

### CSIDL_RESOURCES

    public static final int CSIDL_RESOURCES

See Also:
  Constant Field Values

### CSIDL_RESOURCES_LOCALIZED

    public static final int CSIDL_RESOURCES_LOCALIZED

See Also:
  Constant Field Values

### CSIDL_COMMON_OEM_LINKS

    public static final int CSIDL_COMMON_OEM_LINKS

See Also:
  Constant Field Values

### CSIDL_CDBURN_AREA

    public static final int CSIDL_CDBURN_AREA

See Also:
  Constant Field Values

### CSIDL_COMPUTERSNEARME

    public static final int CSIDL_COMPUTERSNEARME

See Also:
  Constant Field Values

Constructor Detail

### ShlObj

    public ShlObj()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD